Package uk.ac.starlink.votable.soap

## Class AxisTableSerializer

- java.lang.Object
- - uk.ac.starlink.votable.soap.AxisTableSerializer

All Implemented Interfaces:
  `java.io.Serializable`, `javax.xml.rpc.encoding.Serializer`, `org.apache.axis.encoding.Serializer`

    public class AxisTableSerializer
    extends java.lang.Object
    implements org.apache.axis.encoding.Serializer

Custom serializer for StarTables.

Since:
  23 Mar 2005
Author:
  Mark Taylor (Starlink)
See Also:
  Serialized Form

### Constructor Summary

Constructors
`AxisTableSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMechanismType()`
`void` `serialize​(javax.xml.namespace.QName name, org.xml.sax.Attributes atts, java.lang.Object value, org.apache.axis.encoding.SerializationContext context)` Writes `table` out to the serialization context as a binary-inline VOTable.
`org.w3c.dom.Element` `writeSchema​(java.lang.Class javaType, org.apache.axis.wsdl.fromJava.Types types)` Returns an element containing the VOTable 1.1 schema.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AxisTableSerializer

    public AxisTableSerializer()

### Method Detail

#### serialize

    public void serialize​(javax.xml.namespace.QName name,
                          org.xml.sax.Attributes atts,
                          java.lang.Object value,
                          org.apache.axis.encoding.SerializationContext context)
                   throws java.io.IOException

Writes `table` out to the serialization context as a binary-inline VOTable.

Specified by:
  `serialize` in interface `org.apache.axis.encoding.Serializer`
Parameters:
  `name` - qname
  `atts` - attribute
  `value` - `StarTable` object
  `context` - context
Throws:
  `java.lang.ClassCastException` - if `table` is not a StarTable
  `java.io.IOException`

#### writeSchema

    public org.w3c.dom.Element writeSchema​(java.lang.Class javaType,
                                           org.apache.axis.wsdl.fromJava.Types types)

Returns an element containing the VOTable 1.1 schema.

When this method is called by AXIS in the course of creating WSDL (using the service?wsdl URL) it results in a WRONG_DOCUMENT_ERR DOM exception. I can only imagine this is an AXIS bug, arising from AXIS not calling importNode on the returned Element.

Specified by:
  `writeSchema` in interface `org.apache.axis.encoding.Serializer`

#### getMechanismType

    public java.lang.String getMechanismType()

Specified by:
  `getMechanismType` in interface `javax.xml.rpc.encoding.Serializer`